Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Failed to emerge PyQt5
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
mrfabiolo
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2011
Posts: 88

PostPosted: Sun Mar 18, 2018 5:27 pm    Post subject: Failed to emerge PyQt5 Reply with quote

I'm in Funtoo, not Gentoo.

Code:
$ sudo emerge -a qutebrowser

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-python/PyQt5-5.8.2  USE="dbus declarative gui network opengl printsupport sql svg webchannel webengine widgets -bluetooth -debug -designer -doc -examples -gles2 -help -location -multimedia -positioning -sensors -serialport -testlib -webkit -websockets -x11extras -xmlpatterns" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5"
[ebuild  N     ] www-client/qutebrowser-1.2.0  USE="{-test}" PYTHON_TARGETS="python3_6 -python3_5"

Would you like to merge these packages? [Yes/No] Yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 2) dev-python/PyQt5-5.8.2::python-kit
 * PyQt5_gpl-5.8.2.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                  [ ok ]
>>> Unpacking source...
>>> Unpacking PyQt5_gpl-5.8.2.tar.gz to /var/tmp/portage/dev-python/PyQt5-5.8.2/work
>>> Source unpacked in /var/tmp/portage/dev-python/PyQt5-5.8.2/work
>>> Preparing source in /var/tmp/portage/dev-python/PyQt5-5.8.2/work/PyQt5_gpl-5.8.2 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-python/PyQt5-5.8.2/work/PyQt5_gpl-5.8.2 ...
 * python2_7: running run_in_build_dir configuration
/usr/bin/python2.7 /var/tmp/portage/dev-python/PyQt5-5.8.2/work/PyQt5_gpl-5.8.2/configure.py --verbose --confirm-license --qmake=/usr/lib64/qt5/bin/qmake --bindir=/usr/bin --destdir=/usr/lib64/python2.7/site-packages --sip-incdir=/usr/include/python2.7 --qsci-api --enable=QtCore --enable=QtXml --enable=QtDBus --enable=QtQml --enable=QtQuick --enable=QtQuickWidgets --no-designer-plugin --enable=QtGui --enable=_QOpenGLFunctions_2_0 --enable=_QOpenGLFunctions_2_1 --enable=_QOpenGLFunctions_4_1_Core --enable=QtNetwork --enable=QtOpenGL --enable=QtPrintSupport --enable=QtSql --enable=QtSvg --enable=QtWebChannel --enable=QtWebEngineCore --enable=QtWebEngineWidgets --enable=QtWidgets
Error: ./qtdetail failed to create qtdetail.out. Make sure your Qt installation
is correct.
Querying qmake about your Qt installation...
Determining the details of your Qt installation...
/usr/lib64/qt5/bin/qmake -o qtdetail.mk qtdetail.pro
Info: creating stash file /var/tmp/portage/dev-python/PyQt5-5.8.2/work/PyQt5_gpl-5.8.2-python2_7/.qmake.stash
make -f qtdetail.mk
g++ -c -pipe -O2 -std=gnu++11 -Wall -W -D_REENTRANT -fPIC -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -I. -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtCore -I. -isystem /usr/include/libdrm -I/usr/lib64/qt5/mkspecs/linux-g++ -o qtdetail.o qtdetail.cpp
g++ -Wl,-O1 -o qtdetail qtdetail.o   -lQt5Gui -lQt5Core -lGL -lpthread
./qtdetail
Incompatible processor. This Qt build requires the following features:
    aes rdrand
Aborted. Incompatible processor: missing feature 0x42000000 - aes.
 * ERROR: dev-python/PyQt5-5.8.2::python-kit failed (configure phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  121:  Called src_configure
 *   environment, line 3463:  Called python_foreach_impl 'run_in_build_dir' 'configuration'
 *   environment, line 2943:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'run_in_build_dir' 'configuration'
 *   environment, line 2109:  Called _multibuild_run '_python_multibuild_wrapper' 'run_in_build_dir' 'configuration'
 *   environment, line 2107:  Called _python_multibuild_wrapper 'run_in_build_dir' 'configuration'
 *   environment, line  511:  Called run_in_build_dir 'configuration'
 *   environment, line 3445:  Called configuration
 *   environment, line 3460:  Called die
 * The specific snippet of code:
 *           "${myconf[@]}" || die;
 *
 * If you need support, post the output of `emerge --info '=dev-python/PyQt5-5.8.2::python-kit'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/PyQt5-5.8.2::python-kit'`.
 * The complete build log is located at '/var/tmp/portage/dev-python/PyQt5-5.8.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/PyQt5-5.8.2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-python/PyQt5-5.8.2/work/PyQt5_gpl-5.8.2-python2_7'
 * S: '/var/tmp/portage/dev-python/PyQt5-5.8.2/work/PyQt5_gpl-5.8.2'


Not only PyQt5, but with VLC too. I got the same errors.

If needed:
Code:
$ emerge -pqv '=dev-python/PyQt5-5.8.2::python-kit'
[ebuild  N    ] dev-python/PyQt5-5.8.2  USE="dbus declarative gui network opengl printsupport sql svg webchannel webengine widgets -bluetooth -debug -designer -doc -examples -gles2 -help -location -multimedia -positioning -sensors -serialport -testlib -webkit -websockets -x11extras -xmlpatterns" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5"

Code:
$ emerge --info '=dev-python/PyQt5-5.8.2::python-kit'
Portage 2.3.18 (python 3.6.1-final-0, funtoo/1.0/linux-gnu/arch/x86-64bit, gcc-5.4.0, glibc-2.23-r6, 4.14.12-2 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.12-2-x86_64-Intel-R-_Core-TM-_i3-3217U_CPU_@_1.80GHz-with-gentoo-2.2.2
KiB Mem:     3925952 total,    938100 free
KiB Swap:    3998716 total,   3946456 free
sh bash 4.4_p18
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p18::core-kit
dev-java/java-config:     2.2.0-r3::java-kit
dev-lang/perl:            5.24.0-r3::perl-kit
dev-lang/python:          2.7.13-r1::python-kit, 3.4.6-r1::python-kit, 3.5.3::python-kit, 3.6.1-r2::python-kit
dev-util/cmake:           3.8.0::core-kit
sys-apps/baselayout:      2.2.2::core-kit
sys-apps/openrc:          0.35.0_beta1-r1::core-kit
sys-apps/sandbox:         2.10-r4::core-kit
sys-devel/autoconf:       2.13::core-kit, 2.69-r2::gentoo
sys-devel/automake:       1.13.4-r2::core-kit, 1.15.1-r2::core-kit
sys-devel/binutils:       2.29.1-r1::core-kit
sys-devel/gcc:            5.4.0-r1::core-kit
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r4::core-kit
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r6::core-kit
Repositories:

nokit
    location: /var/git/meta-repo/kits/nokit
    masters: core-kit
    priority: -500

core-hw-kit
    location: /var/git/meta-repo/kits/core-hw-kit
    masters: core-kit
    priority: 1

core-kit
    location: /var/git/meta-repo/kits/core-kit
    priority: 1
    aliases: gentoo

desktop-kit
    location: /var/git/meta-repo/kits/desktop-kit
    masters: core-kit
    priority: 1

dev-kit
    location: /var/git/meta-repo/kits/dev-kit
    masters: core-kit
    priority: 1

editors-kit
    location: /var/git/meta-repo/kits/editors-kit
    masters: core-kit
    priority: 1

games-kit
    location: /var/git/meta-repo/kits/games-kit
    masters: core-kit
    priority: 1

gnome-kit
    location: /var/git/meta-repo/kits/gnome-kit
    masters: core-kit
    priority: 1

haskell-kit
    location: /var/git/meta-repo/kits/haskell-kit
    masters: core-kit
    priority: 1

java-kit
    location: /var/git/meta-repo/kits/java-kit
    masters: core-kit
    priority: 1

kde-kit
    location: /var/git/meta-repo/kits/kde-kit
    masters: core-kit
    priority: 1

lang-kit
    location: /var/git/meta-repo/kits/lang-kit
    masters: core-kit
    priority: 1

lisp-scheme-kit
    location: /var/git/meta-repo/kits/lisp-scheme-kit
    masters: core-kit
    priority: 1

media-kit
    location: /var/git/meta-repo/kits/media-kit
    masters: core-kit
    priority: 1

ml-lang-kit
    location: /var/git/meta-repo/kits/ml-lang-kit
    masters: core-kit
    priority: 1

net-kit
    location: /var/git/meta-repo/kits/net-kit
    masters: core-kit
    priority: 1

perl-kit
    location: /var/git/meta-repo/kits/perl-kit
    masters: core-kit
    priority: 1

php-kit
    location: /var/git/meta-repo/kits/php-kit
    masters: core-kit
    priority: 1

python-kit
    location: /var/git/meta-repo/kits/python-kit
    masters: core-kit
    priority: 1

ruby-kit
    location: /var/git/meta-repo/kits/ruby-kit
    masters: core-kit
    priority: 1

science-kit
    location: /var/git/meta-repo/kits/science-kit
    masters: core-kit
    priority: 1

security-kit
    location: /var/git/meta-repo/kits/security-kit
    masters: core-kit
    priority: 1

text-kit
    location: /var/git/meta-repo/kits/text-kit
    masters: core-kit
    priority: 1

xfce-kit
    location: /var/git/meta-repo/kits/xfce-kit
    masters: core-kit
    priority: 1

xorg-kit
    location: /var/git/meta-repo/kits/xorg-kit
    masters: core-kit
    priority: 1

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=ivybridge -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=ivybridge -O2 -pipe"
DISTDIR="/var/cache/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=ivybridge -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="en_US it_IT"
MAKEOPTS="-j4"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng berkdb bluray bzip2 cdda cddb cdio cdr cracklib crypt cxx dbus dri dts dvd dvdr dvdread encode exif faac faad ffmpeg flac gdbm gif gpm ico iconv icu ieee1394 ios ipod ipv6 jpeg jpeg2k lame libass libguess libmpeg2 mad matroska mjpeg mmx modules mp3 mpeg mtp mudflap multilib ncurses nls nptl nsplugin ogg opengl openmp pam pcre pdf png postproc pppd python quicktime readline resolvconf sndfile sse sse2 ssl svg taglib tcpd theora tiff truetype twolame udev unicode v4l vorbis vpx wav wavpack webp win32codecs wmf x264 x265 xattr xml xvid zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel ice1724 intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx f16c mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev synaptics keyboard mouse" KERNEL="linux" L10N="en-US it-IT" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US it_IT" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python3_6 python2_7" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby22 ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

Code:
$ cat /etc/portage/make.conf
L10N="en-US it-IT"
LINGUAS="en_US it_IT"
CFLAGS="-march=ivybridge -O2 -pipe"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j4"
CPU_FLAGS_X86="avx f16c mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3"
USE="zsh-completion"
VIDEO_CARDS="intel i965 nvidia"

Code:

$ cat /etc/portage/package.use
media-video/vlc gnutls httpd live lua pulseaudio rtsp sdl upnp vlm vcdx xv vdpau vaapi
media-video/ffmpeg ffmpeg vdpau vaapi pulseaudio #cpu_flags_x86_aes
media-gfx/blender collada cuda cycles fftw man openimageio openvdb player
media-libs/gexiv2 introspection
x11-misc/compton python_targets_python3_4
# for qutebrowser
dev-python/PyQt5 webchannel
# required by dev-qt/qtwebengine-5.9.4::kde-kit
# required by dev-python/PyQt5-5.8.2::python-kit[webengine]
# required by www-client/qutebrowser-1.2.0::net-kit
# required by qutebrowser (argument)
>=media-libs/libvpx-1.6.1 svc
# required by www-client/qutebrowser-1.2.0::net-kit
# required by qutebrowser (argument)
>=dev-python/PyQt5-5.8.2 network gui declarative webengine sql widgets printsupport
# required by dev-qt/qtcore-5.9.4-r2::kde-kit
# required by dev-qt/qtwebchannel-5.9.4::kde-kit
# required by dev-qt/qtwebengine-5.9.4::kde-kit
# required by dev-python/PyQt5-5.8.2::python-kit[webengine]
# required by www-client/qutebrowser-1.2.0::net-kit
# required by qutebrowser (argument)
>=dev-libs/libpcre2-10.30 pcre16
# required by dev-python/PyQt5-5.8.2::python-kit[webengine]
# required by www-client/qutebrowser-1.2.0::net-kit
# required by qutebrowser (argument)
>=dev-qt/qtwebengine-5.9.4 widgets
# required by dev-qt/qtwebengine-5.9.4::kde-kit
# required by dev-python/PyQt5-5.8.2::python-kit[webengine]
# required by www-client/qutebrowser-1.2.0::net-kit
# required by qutebrowser (argument)
>=dev-qt/qtwebchannel-5.9.4 qml


Last edited by mrfabiolo on Sun Mar 18, 2018 5:40 pm; edited 4 times in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Sun Mar 18, 2018 5:29 pm    Post subject: Reply with quote

No such version.
Code:
$ eshowkw PyQt5
Keywords for dev-python/PyQt5:
          |                           a     |       | 
          |                           m     |       | 
          |                           d   x |       | 
          |                           6   8 |       | 
          |                           4   6 |   u   | 
          | a a   a       p         s |   | |   n   | 
          | l m   r h i   p   m s   p f m f | e u s | r
          | p d a m p a p c x 6 3   a b i b | a s l | e
          | h 6 r 6 p 6 p 6 8 8 9 s r s p s | p e o | p
          | a 4 m 4 a 4 c 4 6 k 0 h c d s d | i d t | o
----------+---------------------------------+-------+-------
    5.7.1 | o + + o o o o ~ + o o o o o o o | 6 o 0 | gentoo
    5.9.2 | o ~ ~ ~ o o o ~ ~ o o o o o o o | 6 #   | gentoo
[I]5.10.1 | o ~ ~ ~ o o o ~ ~ o o o o o o o | 6 o   | gentoo

How old is your Portage tree?

Code:
::python-kit

^ not actually Gentoo?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 10212
Location: Somewhere over Atlanta, Georgia

PostPosted: Sun Mar 18, 2018 5:34 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software. Not about Gentoo so it fits better here.

- John
_________________
I can confirm that I have received between 0 and 499 National Security Letters.
Back to top
View user's profile Send private message
mrfabiolo
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2011
Posts: 88

PostPosted: Sun Mar 18, 2018 5:39 pm    Post subject: Reply with quote

Yeah, I'm in Funtoo, not Gentoo.
But i couldn't put the output into the funtoo's forum, because it detects "spam", I don't know why.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21688
Location: here

PostPosted: Mon Mar 19, 2018 3:39 pm    Post subject: Reply with quote

mrfabiolo wrote:
Yeah, I'm in Funtoo, not Gentoo.
But i couldn't put the output into the funtoo's forum, because it detects "spam", I don't know why.

https://forums.funtoo.org/topic/1296-new-spam-prevention-technology-preventing-me-from-posting-a-message/?tab=comments#comment-6325
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum